Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #748 (closed defect: invalid)

Opened 13 years ago

Last modified 12 years ago

Gcc failed with TurboGears 0.9a4 + Ubuntu Dapper Draker

Reported by: anonymous Owned by: anonymous
Priority: normal Milestone:
Component: Installation Version: 0.9a4
Severity: normal Keywords:
Cc:

Description

I am using the Ubuntu Dapper Draker. When downloading Turbogears 0.9a4 I had problems installation of the RuleDispatch?. The error after several warnings:

src/dispatch/_speedups.c:2454: warning: implicit declaration of function ‘PyString_InternFromString’
src/dispatch/_speedups.c: At top level:
src/dispatch/_speedups.c:2462: error: syntax error before ‘*’ token
src/dispatch/_speedups.c:2462: warning: function declaration isn’t a prototype
src/dispatch/_speedups.c: In function ‘__Pyx_InitStrings’:
src/dispatch/_speedups.c:2463: error: ‘t’ undeclared (first use in this function)
src/dispatch/_speedups.c:2464: warning: implicit declaration of function ‘PyString_FromStringAndSize’
src/dispatch/_speedups.c:2472:21: error: compile.h: Arquivo ou diretório não encontrado
src/dispatch/_speedups.c:2473:25: error: frameobject.h: Arquivo ou diretório não encontrado
src/dispatch/_speedups.c:2474:23: error: traceback.h: Arquivo ou diretório não encontrado
src/dispatch/_speedups.c: In function ‘__Pyx_AddTraceback’:
src/dispatch/_speedups.c:2477: error: ‘PyObject’ undeclared (first use in this function)
src/dispatch/_speedups.c:2477: error: ‘py_srcfile’ undeclared (first use in this function)
src/dispatch/_speedups.c:2478: error: ‘py_funcname’ undeclared (first use in this function)
src/dispatch/_speedups.c:2479: error: ‘py_globals’ undeclared (first use in this function)
src/dispatch/_speedups.c:2480: error: ‘empty_tuple’ undeclared (first use in this function)
src/dispatch/_speedups.c:2481: error: ‘empty_string’ undeclared (first use in this function)
src/dispatch/_speedups.c:2482: error: ‘PyCodeObject’ undeclared (first use in this function)
src/dispatch/_speedups.c:2482: error: ‘py_code’ undeclared (first use in this function)
src/dispatch/_speedups.c:2483: error: ‘PyFrameObject’ undeclared (first use in this function)
src/dispatch/_speedups.c:2483: error: ‘py_frame’ undeclared (first use in this function)
src/dispatch/_speedups.c:2485: warning: implicit declaration of function ‘PyString_FromString’
src/dispatch/_speedups.c:2495: warning: implicit declaration of function ‘PyCode_New’
src/dispatch/_speedups.c:2512: warning: implicit declaration of function ‘PyFrame_New’
src/dispatch/_speedups.c:2520: warning: implicit declaration of function ‘PyTraceBack_Here’
error: Setup script exited with error: command 'gcc' failed with exit status 1

Change History

comment:1 Changed 13 years ago by michele

Do you have build-essential installed on your system?

comment:2 Changed 13 years ago by godoy

Almost 1 month without answer... Michele, you use the same version of Ubuntu, doesn't you? Did you have this problem? Can you test it? I want to close this as "invalid", but I need to know if it really is invalid in Ubuntu Dapper Draker (wow! first name, middle name and surname for a Linux distro! ;-))

comment:3 Changed 13 years ago by michele

  • Status changed from new to closed
  • Resolution set to invalid

Never got this error myself I think the user was missing some needed packages that a default ubuntu install doesn't provide (build-essential for example).

Closing it.

comment:4 Changed 13 years ago by Sebastian Dahlgren

Run this command:

sudo apt-get install python-dev

It'll do the trick!

Note: See TracTickets for help on using tickets.